<center><a href="view.c">Actual source code: view.c</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:17:26+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a><strong><font color="#228B22">#define PETSC_DLL</font></strong>

<a name="line3">  3: </a><font color="#A020F0">#include </font><font color="#666666">"src/sys/viewer/viewerimpl.h"</font><font color="#A020F0">  </font><font color="#B22222">/*I "petsc.h" I*/</font><font color="#A020F0">  </font>

<a name="line5">  5: </a><A href="../../../../docs/manualpages/Sys/PetscCookie.html#PetscCookie">PetscCookie</A> PETSC_VIEWER_COOKIE = 0;

<a name="line9">  9: </a><font color="#B22222">/*@</font>
<a name="line10"> 10: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewerDestroy.html#PetscViewerDestroy">PetscViewerDestroy</A> - Destroys a <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>.</font>

<a name="line12"> 12: </a><font color="#B22222">   Collective on <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>

<a name="line14"> 14: </a><font color="#B22222">   Input Parameters:</font>
<a name="line15"> 15: </a><font color="#B22222">.  viewer - the <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> to be destroyed.</font>

<a name="line17"> 17: </a><font color="#B22222">   Level: beginner</font>

<a name="line19"> 19: </a><font color="#B22222">.seealso: <A href="../../../../docs/manualpages/Viewer/PetscViewerSocketOpen.html#PetscViewerSocketOpen">PetscViewerSocketOpen</A>(), <A href="../../../../docs/manualpages/Viewer/PetscViewerASCIIOpen.html#PetscViewerASCIIOpen">PetscViewerASCIIOpen</A>(), <A href="../../../../docs/manualpages/Viewer/PetscViewerCreate.html#PetscViewerCreate">PetscViewerCreate</A>(), <A href="../../../../docs/manualpages/Viewer/PetscViewerDrawOpen.html#PetscViewerDrawOpen">PetscViewerDrawOpen</A>()</font>

<a name="line21"> 21: </a><font color="#B22222">@*/</font>
<a name="line22"> 22: </a><strong><font color="#4169E1"><a name="PetscViewerDestroy"></a><A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../../../../docs/manualpages/Viewer/PetscViewerDestroy.html#PetscViewerDestroy">PetscViewerDestroy</A>(<A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> viewer)</font></strong>
<a name="line23"> 23: </a>{

<a name="line28"> 28: </a>  <A href="../../../../docs/manualpages/Viewer/PetscViewerFlush.html#PetscViewerFlush">PetscViewerFlush</A>(viewer);
<a name="line29"> 29: </a>  <font color="#4169E1">if</font> (--viewer-&gt;refct &gt; 0) <font color="#4169E1">return</font>(0);

<a name="line31"> 31: </a>  PetscObjectDepublish(viewer);

<a name="line33"> 33: </a>  <font color="#4169E1">if</font> (viewer-&gt;ops-&gt;destroy) {
<a name="line34"> 34: </a>    (*viewer-&gt;ops-&gt;destroy)(viewer);
<a name="line35"> 35: </a>  }
<a name="line36"> 36: </a>  PetscHeaderDestroy(viewer);
<a name="line37"> 37: </a>  <font color="#4169E1">return</font>(0);
<a name="line38"> 38: </a>}

<a name="line42"> 42: </a><font color="#B22222">/*@C</font>
<a name="line43"> 43: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewerGetType.html#PetscViewerGetType">PetscViewerGetType</A> - Returns the type of a <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>.</font>

<a name="line45"> 45: </a><font color="#B22222">   Not Collective</font>

<a name="line47"> 47: </a><font color="#B22222">   Input Parameter:</font>
<a name="line48"> 48: </a><font color="#B22222">.   viewer - the <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>

<a name="line50"> 50: </a><font color="#B22222">   Output Parameter:</font>
<a name="line51"> 51: </a><font color="#B22222">.  type - <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> type (see below)</font>

<a name="line53"> 53: </a><font color="#B22222">   Available Types Include:</font>
<a name="line54"> 54: </a><font color="#B22222">.  PETSC_VIEWER_SOCKET - Socket <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>
<a name="line55"> 55: </a><font color="#B22222">.  PETSC_VIEWER_ASCII - ASCII <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>
<a name="line56"> 56: </a><font color="#B22222">.  PETSC_VIEWER_BINARY - binary file <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>
<a name="line57"> 57: </a><font color="#B22222">.  PETSC_VIEWER_STRING - string <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>
<a name="line58"> 58: </a><font color="#B22222">.  PETSC_VIEWER_DRAW - drawing <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>

<a name="line60"> 60: </a><font color="#B22222">   Level: intermediate</font>

<a name="line62"> 62: </a><font color="#B22222">   Note:</font>
<a name="line63"> 63: </a><font color="#B22222">   See include/petscviewer.h for a complete list of <A href="../../../../docs/manualpages/Viewer/PetscViewers.html#PetscViewers">PetscViewers</A>.</font>

<a name="line65"> 65: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewerType.html#PetscViewerType">PetscViewerType</A> is actually a string</font>

<a name="line67"> 67: </a><font color="#B22222">.seealso: <A href="../../../../docs/manualpages/Viewer/PetscViewerCreate.html#PetscViewerCreate">PetscViewerCreate</A>(), <A href="../../../../docs/manualpages/Viewer/PetscViewerSetType.html#PetscViewerSetType">PetscViewerSetType</A>()</font>

<a name="line69"> 69: </a><font color="#B22222">@*/</font>
<a name="line70"> 70: </a><strong><font color="#4169E1"><a name="PetscViewerGetType"></a><A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../../../../docs/manualpages/Viewer/PetscViewerGetType.html#PetscViewerGetType">PetscViewerGetType</A>(<A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> viewer,<A href="../../../../docs/manualpages/Viewer/PetscViewerType.html#PetscViewerType">PetscViewerType</A> *type)</font></strong>
<a name="line71"> 71: </a>{
<a name="line74"> 74: </a>  *type = (<A href="../../../../docs/manualpages/Viewer/PetscViewerType.html#PetscViewerType">PetscViewerType</A>) viewer-&gt;type_name;
<a name="line75"> 75: </a>  <font color="#4169E1">return</font>(0);
<a name="line76"> 76: </a>}

<a name="line80"> 80: </a><font color="#B22222">/*@C</font>
<a name="line81"> 81: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewerSetOptionsPrefix.html#PetscViewerSetOptionsPrefix">PetscViewerSetOptionsPrefix</A> - Sets the prefix used for searching for all </font>
<a name="line82"> 82: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> options in the database.</font>

<a name="line84"> 84: </a><font color="#B22222">   Collective on <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>

<a name="line86"> 86: </a><font color="#B22222">   Input Parameter:</font>
<a name="line87"> 87: </a><font color="#B22222">+  viewer - the <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> context</font>
<a name="line88"> 88: </a><font color="#B22222">-  prefix - the prefix to prepend to all option names</font>

<a name="line90"> 90: </a><font color="#B22222">   Notes:</font>
<a name="line91"> 91: </a><font color="#B22222">   A hyphen (-) must NOT be given at the beginning of the prefix name.</font>
<a name="line92"> 92: </a><font color="#B22222">   The first character of all runtime options is AUTOMATICALLY the hyphen.</font>

<a name="line94"> 94: </a><font color="#B22222">   Level: advanced</font>

<a name="line96"> 96: </a><font color="#B22222">.keywords: <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, set, options, prefix, database</font>

<a name="line98"> 98: </a><font color="#B22222">.seealso: <A href="../../../../docs/manualpages/Viewer/PetscViewerSetFromOptions.html#PetscViewerSetFromOptions">PetscViewerSetFromOptions</A>()</font>
<a name="line99"> 99: </a><font color="#B22222">@*/</font>
<a name="line100">100: </a><strong><font color="#4169E1"><a name="PetscViewerSetOptionsPrefix"></a><A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../../../../docs/manualpages/Viewer/PetscViewerSetOptionsPrefix.html#PetscViewerSetOptionsPrefix">PetscViewerSetOptionsPrefix</A>(<A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> viewer,const char prefix[])</font></strong>
<a name="line101">101: </a>{

<a name="line106">106: </a>  PetscObjectSetOptionsPrefix((<A href="../../../../docs/manualpages/Sys/PetscObject.html#PetscObject">PetscObject</A>)viewer,prefix);
<a name="line107">107: </a>  <font color="#4169E1">return</font>(0);
<a name="line108">108: </a>}

<a name="line112">112: </a><font color="#B22222">/*@C</font>
<a name="line113">113: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewerAppendOptionsPrefix.html#PetscViewerAppendOptionsPrefix">PetscViewerAppendOptionsPrefix</A> - Appends to the prefix used for searching for all </font>
<a name="line114">114: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> options in the database.</font>

<a name="line116">116: </a><font color="#B22222">   Collective on <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>

<a name="line118">118: </a><font color="#B22222">   Input Parameters:</font>
<a name="line119">119: </a><font color="#B22222">+  viewer - the <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> context</font>
<a name="line120">120: </a><font color="#B22222">-  prefix - the prefix to prepend to all option names</font>

<a name="line122">122: </a><font color="#B22222">   Notes:</font>
<a name="line123">123: </a><font color="#B22222">   A hyphen (-) must NOT be given at the beginning of the prefix name.</font>
<a name="line124">124: </a><font color="#B22222">   The first character of all runtime options is AUTOMATICALLY the hyphen.</font>

<a name="line126">126: </a><font color="#B22222">   Level: advanced</font>

<a name="line128">128: </a><font color="#B22222">.keywords: <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, append, options, prefix, database</font>

<a name="line130">130: </a><font color="#B22222">.seealso: <A href="../../../../docs/manualpages/Viewer/PetscViewerGetOptionsPrefix.html#PetscViewerGetOptionsPrefix">PetscViewerGetOptionsPrefix</A>()</font>
<a name="line131">131: </a><font color="#B22222">@*/</font>
<a name="line132">132: </a><strong><font color="#4169E1"><a name="PetscViewerAppendOptionsPrefix"></a><A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../../../../docs/manualpages/Viewer/PetscViewerAppendOptionsPrefix.html#PetscViewerAppendOptionsPrefix">PetscViewerAppendOptionsPrefix</A>(<A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> viewer,const char prefix[])</font></strong>
<a name="line133">133: </a>{
<a name="line135">135: </a>
<a name="line138">138: </a>  PetscObjectAppendOptionsPrefix((<A href="../../../../docs/manualpages/Sys/PetscObject.html#PetscObject">PetscObject</A>)viewer,prefix);
<a name="line139">139: </a>  <font color="#4169E1">return</font>(0);
<a name="line140">140: </a>}

<a name="line144">144: </a><font color="#B22222">/*@C</font>
<a name="line145">145: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewerGetOptionsPrefix.html#PetscViewerGetOptionsPrefix">PetscViewerGetOptionsPrefix</A> - Sets the prefix used for searching for all </font>
<a name="line146">146: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> options in the database.</font>

<a name="line148">148: </a><font color="#B22222">   Not Collective</font>

<a name="line150">150: </a><font color="#B22222">   Input Parameter:</font>
<a name="line151">151: </a><font color="#B22222">.  viewer - the <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> context</font>

<a name="line153">153: </a><font color="#B22222">   Output Parameter:</font>
<a name="line154">154: </a><font color="#B22222">.  prefix - pointer to the prefix string used</font>

<a name="line156">156: </a><font color="#B22222">   Notes: On the fortran side, the user should pass in a string 'prefix' of</font>
<a name="line157">157: </a><font color="#B22222">   sufficient length to hold the prefix.</font>

<a name="line159">159: </a><font color="#B22222">   Level: advanced</font>

<a name="line161">161: </a><font color="#B22222">.keywords: <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, get, options, prefix, database</font>

<a name="line163">163: </a><font color="#B22222">.seealso: <A href="../../../../docs/manualpages/Viewer/PetscViewerAppendOptionsPrefix.html#PetscViewerAppendOptionsPrefix">PetscViewerAppendOptionsPrefix</A>()</font>
<a name="line164">164: </a><font color="#B22222">@*/</font>
<a name="line165">165: </a><strong><font color="#4169E1"><a name="PetscViewerGetOptionsPrefix"></a><A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../../../../docs/manualpages/Viewer/PetscViewerGetOptionsPrefix.html#PetscViewerGetOptionsPrefix">PetscViewerGetOptionsPrefix</A>(<A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> viewer,const char *prefix[])</font></strong>
<a name="line166">166: </a>{

<a name="line171">171: </a>  PetscObjectGetOptionsPrefix((<A href="../../../../docs/manualpages/Sys/PetscObject.html#PetscObject">PetscObject</A>)viewer,prefix);
<a name="line172">172: </a>  <font color="#4169E1">return</font>(0);
<a name="line173">173: </a>}

<a name="line177">177: </a><font color="#B22222">/*@</font>
<a name="line178">178: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewerSetUp.html#PetscViewerSetUp">PetscViewerSetUp</A> - Sets up the internal viewer data structures for the later use.</font>

<a name="line180">180: </a><font color="#B22222">   Collective on <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>

<a name="line182">182: </a><font color="#B22222">   Input Parameters:</font>
<a name="line183">183: </a><font color="#B22222">.  viewer - the <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> context</font>

<a name="line185">185: </a><font color="#B22222">   Notes:</font>
<a name="line186">186: </a><font color="#B22222">   For basic use of the <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> classes the user need not explicitly call</font>
<a name="line187">187: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewerSetUp.html#PetscViewerSetUp">PetscViewerSetUp</A>(), since these actions will happen automatically.</font>

<a name="line189">189: </a><font color="#B22222">   Level: advanced</font>

<a name="line191">191: </a><font color="#B22222">.keywords: <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, setup</font>

<a name="line193">193: </a><font color="#B22222">.seealso: <A href="../../../../docs/manualpages/Viewer/PetscViewerCreate.html#PetscViewerCreate">PetscViewerCreate</A>(), <A href="../../../../docs/manualpages/Viewer/PetscViewerDestroy.html#PetscViewerDestroy">PetscViewerDestroy</A>()</font>
<a name="line194">194: </a><font color="#B22222">@*/</font>
<a name="line195">195: </a><strong><font color="#4169E1"><a name="PetscViewerSetUp"></a><A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../../../../docs/manualpages/Viewer/PetscViewerSetUp.html#PetscViewerSetUp">PetscViewerSetUp</A>(<A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> viewer)</font></strong>
<a name="line196">196: </a>{
<a name="line199">199: </a>  <font color="#4169E1">return</font>(0);
<a name="line200">200: </a>}

<a name="line204">204: </a><font color="#B22222">/*@C</font>
<a name="line205">205: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Viewer/PetscViewerView.html#PetscViewerView">PetscViewerView</A> - Visualizes a viewer object.</font>

<a name="line207">207: </a><font color="#B22222">   Collective on <A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>

<a name="line209">209: </a><font color="#B22222">   Input Parameters:</font>
<a name="line210">210: </a><font color="#B22222">+  v - the viewer</font>
<a name="line211">211: </a><font color="#B22222">-  viewer - visualization context</font>

<a name="line213">213: </a><font color="#B22222">  Notes:</font>
<a name="line214">214: </a><font color="#B22222">  The available visualization contexts include</font>
<a name="line215">215: </a><font color="#B22222">+    <A href="../../../../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_SELF.html#PETSC_VIEWER_STDOUT_SELF">PETSC_VIEWER_STDOUT_SELF</A> - standard output (default)</font>
<a name="line216">216: </a><font color="#B22222">.    <A href="../../../../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_WORLD.html#PETSC_VIEWER_STDOUT_WORLD">PETSC_VIEWER_STDOUT_WORLD</A> - synchronized standard</font>
<a name="line217">217: </a><font color="#B22222">        output where only the first processor opens</font>
<a name="line218">218: </a><font color="#B22222">        the file.  All other processors send their </font>
<a name="line219">219: </a><font color="#B22222">        data to the first processor to print. </font>
<a name="line220">220: </a><font color="#B22222">-     <A href="../../../../docs/manualpages/Viewer/PETSC_VIEWER_DRAW_WORLD.html#PETSC_VIEWER_DRAW_WORLD">PETSC_VIEWER_DRAW_WORLD</A> - graphical display of nonzero structure</font>

<a name="line222">222: </a><font color="#B22222">   Level: beginner</font>

<a name="line224">224: </a><font color="#B22222">.seealso: <A href="../../../../docs/manualpages/Viewer/PetscViewerSetFormat.html#PetscViewerSetFormat">PetscViewerSetFormat</A>(), <A href="../../../../docs/manualpages/Viewer/PetscViewerASCIIOpen.html#PetscViewerASCIIOpen">PetscViewerASCIIOpen</A>(), <A href="../../../../docs/manualpages/Viewer/PetscViewerDrawOpen.html#PetscViewerDrawOpen">PetscViewerDrawOpen</A>(), </font>
<a name="line225">225: </a><font color="#B22222">          <A href="../../../../docs/manualpages/Viewer/PetscViewerSocketOpen.html#PetscViewerSocketOpen">PetscViewerSocketOpen</A>(), <A href="../../../../docs/manualpages/Viewer/PetscViewerBinaryOpen.html#PetscViewerBinaryOpen">PetscViewerBinaryOpen</A>(), PetscViewerLoad()</font>
<a name="line226">226: </a><font color="#B22222">@*/</font>
<a name="line227">227: </a><strong><font color="#4169E1"><a name="PetscViewerView"></a><A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../../../../docs/manualpages/Viewer/PetscViewerView.html#PetscViewerView">PetscViewerView</A>(<A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> v,<A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> viewer)</font></strong>
<a name="line228">228: </a>{
<a name="line229">229: </a>  <A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>    ierr;
<a name="line230">230: </a>  <A href="../../../../docs/manualpages/Sys/PetscTruth.html#PetscTruth">PetscTruth</A>        iascii;
<a name="line231">231: </a>  const char        *cstr;
<a name="line232">232: </a>  <A href="../../../../docs/manualpages/Viewer/PetscViewerFormat.html#PetscViewerFormat">PetscViewerFormat</A> format;

<a name="line237">237: </a>  <font color="#4169E1">if</font> (!viewer) viewer = <A href="../../../../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_.html#PETSC_VIEWER_STDOUT_">PETSC_VIEWER_STDOUT_</A>(v-&gt;<A href="../../../../docs/manualpages/Sys/comm.html#comm">comm</A>);

<a name="line241">241: </a>  <A href="../../../../docs/manualpages/Sys/PetscTypeCompare.html#PetscTypeCompare">PetscTypeCompare</A>((<A href="../../../../docs/manualpages/Sys/PetscObject.html#PetscObject">PetscObject</A>)viewer,PETSC_VIEWER_ASCII,&amp;iascii);
<a name="line242">242: </a>  <font color="#4169E1">if</font> (iascii) {
<a name="line243">243: </a>    PetscViewerGetFormat(viewer,&amp;format);
<a name="line244">244: </a>    <font color="#4169E1">if</font> (format == PETSC_VIEWER_ASCII_INFO || format == PETSC_VIEWER_ASCII_INFO_DETAIL) {
<a name="line245">245: </a>      <font color="#4169E1">if</font> (v-&gt;prefix) {
<a name="line246">246: </a>        <A href="../../../../docs/manualpages/Viewer/PetscViewerASCIIPrintf.html#PetscViewerASCIIPrintf">PetscViewerASCIIPrintf</A>(viewer,<font color="#666666">"<A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> Object:(%s)\n"</font>,v-&gt;prefix);
<a name="line247">247: </a>      } <font color="#4169E1">else</font> {
<a name="line248">248: </a>        <A href="../../../../docs/manualpages/Viewer/PetscViewerASCIIPrintf.html#PetscViewerASCIIPrintf">PetscViewerASCIIPrintf</A>(viewer,<font color="#666666">"<A href="../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> Object:\n"</font>);
<a name="line249">249: </a>      }
<a name="line250">250: </a>      <A href="../../../../docs/manualpages/Viewer/PetscViewerASCIIPushTab.html#PetscViewerASCIIPushTab">PetscViewerASCIIPushTab</A>(viewer);
<a name="line251">251: </a>      <A href="../../../../docs/manualpages/Viewer/PetscViewerGetType.html#PetscViewerGetType">PetscViewerGetType</A>(v,&amp;cstr);
<a name="line252">252: </a>      <A href="../../../../docs/manualpages/Viewer/PetscViewerASCIIPrintf.html#PetscViewerASCIIPrintf">PetscViewerASCIIPrintf</A>(viewer,<font color="#666666">"type=%s\n"</font>,cstr);
<a name="line253">253: </a>    }
<a name="line254">254: </a>  }
<a name="line255">255: </a>  <font color="#4169E1">if</font> (!iascii) {
<a name="line256">256: </a>    <A href="../../../../docs/manualpages/Sys/SETERRQ1.html#SETERRQ1">SETERRQ1</A>(PETSC_ERR_SUP,<font color="#666666">"Viewer type %s not supported"</font>,((<A href="../../../../docs/manualpages/Sys/PetscObject.html#PetscObject">PetscObject</A>)viewer)-&gt;type_name);
<a name="line257">257: </a>  } <font color="#4169E1">else</font> {
<a name="line258">258: </a>    PetscViewerGetFormat(viewer,&amp;format);
<a name="line259">259: </a>    <font color="#4169E1">if</font> (format == PETSC_VIEWER_ASCII_INFO || format == PETSC_VIEWER_ASCII_INFO_DETAIL) {
<a name="line260">260: </a>      <A href="../../../../docs/manualpages/Viewer/PetscViewerASCIIPopTab.html#PetscViewerASCIIPopTab">PetscViewerASCIIPopTab</A>(viewer);
<a name="line261">261: </a>    }
<a name="line262">262: </a>  }
<a name="line263">263: </a>  <font color="#4169E1">return</font>(0);
<a name="line264">264: </a>}
</pre>
</body>

</html>
